archi:
    name : nat_dnat
    version : 1.0
switch:
    name : switch-nat_dnat
    interfaces :
        1 :
            link : br0
            intname : eth0
            type : external
            vlan : 1
        2 :
            link : tap2
            vlan : 2
        3 :
            link : tap3
            vlan : 2
vlans :
    1 :
        intname: vlan1
        dhcp4: yes
    2 :
        intname: vlan2
        addresses : [ 192.168.5.1/24 ]
routes :
        forward: yes
        nat:
            source: [ 192.168.5.0/24 ]
            out: vlan1
        dnat:
          - in: vlan1
            protocole : tcp
            dports: [ 21, 22, 23, 80, 443, 990 ]
            to : 192.168.5.2
          - in: vlan1
            protocole : tcp
            dports: [ 8080 ]
            to : 192.168.5.3:80
machines :
    machine-1 :
        honeypot :
            interfaces:
                link : tap2
                addresses : [ 192.168.5.2/24 ]
                gw : 192.168.5.1
            services : [ssh, meta-ftp, meta-web, telnet]
    machine-2:
         lxd :
            image: apache2
            interfaces:
                link : tap3
                intname : eth1
                addresses : [ 192.168.5.3/24 ]
                gw : 192.168.5.1
